summaryrefslogtreecommitdiff
path: root/hints/freebsd.sh
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>1998-02-04 14:59:47 +0200
committerMalcolm Beattie <mbeattie@sable.ox.ac.uk>1998-02-06 16:47:03 +0000
commitb42d0ec9e46a4139cf3556f5cc00b0bf1daacdeb (patch)
treebe1b1c1d793471f0381cf5c93341bc115d56fefd /hints/freebsd.sh
parent422a93e5e605f49adf92459c8057743dcf5a998b (diff)
downloadperl-b42d0ec9e46a4139cf3556f5cc00b0bf1daacdeb.tar.gz
[PATCH] almost OK: perl 5.00457 on i386-freebsd-thread 3.0
Date: Wed, 4 Feb 1998 12:59:47 +0200 (EET) Subject: Re: [PATCH] 5.004_04 and 5.004_57: Complex.pm and complex.t Date: Thu, 5 Feb 1998 18:08:20 +0200 (EET) p4raw-id: //depot/perl@476
Diffstat (limited to 'hints/freebsd.sh')
-rw-r--r--hints/freebsd.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/hints/freebsd.sh b/hints/freebsd.sh
index 6ce5fa720c..e20d40d249 100644
--- a/hints/freebsd.sh
+++ b/hints/freebsd.sh
@@ -108,3 +108,17 @@ problem. Try
EOM
+if [ "X$usethreads" != "X" ]; then
+ if [ ! -r /usr/lib/libc_r.a ]; then
+ cat <<'EOM'
+
+The re-entrant C library /usr/lib/libc_r.a does not exist; cannot build
+threaded Perl. Consider upgrading to a newer FreeBSD snapshot or release:
+at least the FreeBSD 3.0-971225-SNAP is known to have the libc_r.a.
+
+EOM
+ exit 1
+ fi
+ libswanted="$libswanted c_r"
+ ccflags="-DUSE_THREADS $ccflags"
+fi